Subject: bug#6385: A slightly less aggressive fit-window-to-buffer

From: martin rudalics <[email-masked]>
Date: Sun, 13 Jun 2010 16:34:17 +0200

> There doesn't seem to be a problem before Emacs 23. Maybe there is a problem,
 > theoretically, but I haven't encountered one. What about returning to the pre-23
 > code?

Please post a recipe for reproducing the problem.  I never had any
problem with this in practice so I can't tell.

 > What are your thoughts about let-binding `min-window-height'? What are the cases
 > where that won't fix the problem?

Let-binding `window-min-height' (I suppose that's the variable you mean)
can be used to make a window less than `window-min-height' high.  Doing
this can eventually cause the deletion of that window after the binding
has been exited.  This is not a speciality of `fit-window-to-buffer' but
a consequence of the fact that Emacs can delete windows that are smaller
than `window-min-height' high.

martin